{ pkgs, ... }:

{
  # Install Thunderbird
  home.packages = with pkgs; [
    thunderbird
  ];

  # Configure Thunderbird using profiles.ini
  programs.thunderbird.enable = true;
  programs.thunderbird.profiles."default" = {
    isDefault = true;
    settings = {
      mail.check_default_mail = false;
      # Add other Thunderbird settings here if needed
    };
    accounts = [
      {
        name = "Phil Keier (Hotmail)";
        server = "imap-mail.outlook.com";
        user = "phil.keier@hotmail.com";
        port = 993;
        ssl = true;
        type = "imap";
        identity = {
          name = "Phil Keier";
          email = "phil.keier@hotmail.com";
          smtpServer = "smtp-mail.outlook.com";
          smtpPort = 587;
          smtpSsl = true;
          smtpUsername = "phil.keier@hotmail.com";
        };
      }
    ];
  };
}
